% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SC_ordered.R
\name{SC_Ordered}
\alias{SC_Ordered}
\title{Create stratigraphically ordered sample matrix}
\usage{
SC_Ordered(Nb_sample)
}
\arguments{
\item{Nb_sample}{\link{integer} (\strong{required}): the number of samples}
}
\value{
Stratigraphic matrix where each sample are ordered by increasing order.
This matrix can be intergrated in the function \link{AgeS_Computation}.
Please see \link{AgeS_Computation} for more information on this matrix.
}
\description{
Construct the stratigraphic matrix used in the functions \link{AgeS_Computation} and \link{AgeC14_Computation}
for samples that are all ordered by increasing age.
}
\examples{
# compute the stratigraphic matrix for 3 samples such that the first sample is younger
# than the second, and the second is younger than the third
SC <- SC_Ordered(Nb_sample = 3)

}
\seealso{
\link{AgeS_Computation}, \link{SCMatrix}
}
\author{
Claire Christophe, Anne Philippe, Sebastian Kreutzer, Guillaume Guérin
} 

\section{How to cite}{
Christophe, C., Philippe, A., Kreutzer, S., 2022. SC_Ordered(): Create stratigraphically ordered sample matrix. In: Christophe, C., Philippe, A., Kreutzer, S., Guerin, G., 2022. BayLum: Chronological Bayesian Models Integrating Optically Stimulated. R package version 0.2.1. https://CRAN.r-project.org/package=BayLum
}

\keyword{datagen}
